Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class OperatorToken

    java.lang.Object
      com.novell.xml.xpath.Token
          com.novell.xml.xpath.OperatorToken

    public class OperatorToken

extends Token

Class representing an XPath expression language operator token

See Also:
  `Scanner`

Field Summary
`static int` | `AND` The logical "and" operator "and"
`static int` | `DIV` The multiplicative "division" operator "div"
`static int` | `EQUALS` The "equals" operator "="
`static int` | `GREATER_THAN` The conditional "greater than" operator ">"
`static int` | `GREATER_THAN_EQUALS` The conditional "greater than or equal to" operator ">="
`static int` | `LESS_THAN` The conditional "less than" operator "<"
`static int` | `LESS_THAN_EQUALS` The conditional "less than or equal to" operator "<="
`static int` | `MINUS` The "subtraction" or unary "negation" operator "-"
`static int` | `MOD` The multiplicative "modulus" operator "mod"
`static int` | `MUL` The "multiplication" operator "*"
`static int` | `NOT_AN_OPERATOR` Indicates an invalid operator value
`static int` | `NOT_EQUALS` The "not equals" operator "!="
`static int` | `OR` The logical "or" operator "or"
`static int` | `PIPE` The node-set "union" operator "|"
`static int` | `PLUS` The "addition" operator "+"
`static int` | `SLASH` The path join operator "/"
`static int` | `SLASH_SLASH` The path join operator "//"

Fields inherited from class com.novell.xml.xpath.Token
`AT, AXIS_NAME, COLON_COLON, COMMA, DOT, DOT_DOT, FUNCTION_NAME, LEFT_BRACKET, LEFT_PAREN, LITERAL, MAX_TYPE, NODE_TYPE, NOT_A_TOKEN, NUMBER, OPERATOR, RIGHT_BRACKET, RIGHT_PAREN, VARIABLE_REF, WILDCARD_NAME`

Constructor Summary
`OperatorToken(int opType)` Construct a token representing the passed operator

Method Summary
`boolean` | `equals(Token rhs)` Compare this Token to passed Token
`int` | `getOperator()` Return numeric value of operator token (OperatorToken.PLUS, OperatorToken.AND, etc.)
`static int` | `getOpType(String opString)` Return the numeric value for an operator given the text string representing the operator
`String` | `toString()` Return text representing this OperatorToken

Methods inherited from class com.novell.xml.xpath.Token
`dump, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_AN_OPERATOR

    public static final int NOT_AN_OPERATOR

  Indicates an invalid operator value

  See Also:
    Constant Field Values

### NOT_EQUALS

    public static final int NOT_EQUALS

  The "not equals" operator "!="

  See Also:
    Constant Field Values

### MUL

    public static final int MUL

  The "multiplication" operator "*"

  See Also:
    Constant Field Values

### PLUS

    public static final int PLUS

  The "addition" operator "+"

  See Also:
    Constant Field Values

### MINUS

    public static final int MINUS

  The "subtraction" or unary "negation" operator "-"

  See Also:
    Constant Field Values

### SLASH

    public static final int SLASH

  The path join operator "/"

  See Also:
    Constant Field Values

### SLASH_SLASH

    public static final int SLASH_SLASH

  The path join operator "//"

  See Also:
    Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

  The conditional "less than" operator "<"

  See Also:
    Constant Field Values

### LESS_THAN_EQUALS

    public static final int LESS_THAN_EQUALS

  The conditional "less than or equal to" operator "<="

  See Also:
    Constant Field Values

### EQUALS

    public static final int EQUALS

  The "equals" operator "="

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

  The conditional "greater than" operator ">"

  See Also:
    Constant Field Values

### GREATER_THAN_EQUALS

    public static final int GREATER_THAN_EQUALS

  The conditional "greater than or equal to" operator ">="

  See Also:
    Constant Field Values

### AND

    public static final int AND

  The logical "and" operator "and"

  See Also:
    Constant Field Values

### DIV

    public static final int DIV

  The multiplicative "division" operator "div"

  See Also:
    Constant Field Values

### MOD

    public static final int MOD

  The multiplicative "modulus" operator "mod"

  See Also:
    Constant Field Values

### OR

    public static final int OR

  The logical "or" operator "or"

  See Also:
    Constant Field Values

### PIPE

    public static final int PIPE

  The node-set "union" operator "|"

  See Also:
    Constant Field Values

Constructor Detail

### OperatorToken

    public OperatorToken(int opType)

  Construct a token representing the passed operator

  Parameters:
    `opType` - numeric operator value (OperatorToken.PLUS, OperatorToken.MOD, etc.)

Method Detail

### equals

    public boolean equals(Token rhs)

  Compare this Token to passed Token

  Overrides:
    `equals` in class `Token`
  Parameters:
    `rhs` - Token to compare against
  Returns:
    true if this Token equals rhs Token

### toString

    public String toString()

  Return text representing this OperatorToken

  Overrides:
    `toString` in class `Token`
  Returns:
    String representing this Token

### getOperator

    public int getOperator()

  Return numeric value of operator token (OperatorToken.PLUS, OperatorToken.AND, etc.)

  Returns:
    numeric value of operator token

### getOpType

    public static int getOpType(String opString)

  Return the numeric value for an operator given the text string representing the operator

  Parameters:
    `opString` - string representing operator
  Returns:
    OperatorToken.PLUS, OperatorToken.MINUS, etc., or OperatorToken.NOT_AN_OPERATOR if string doesn't represent an operator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD